Debian Bug report logs - #515887
RM: grip -- RoM

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: daniel@debian.org

Date: Wed, 18 Feb 2009 07:39:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#515887; Package ftp.debian.org. (Wed, 18 Feb 2009 07:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 18 Feb 2009 07:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: submit@bugs.debian.org
Subject: RM: grip -- RoM
Date: Wed, 18 Feb 2009 08:34:07 +0100
Package: ftp.debian.org

Hi,

please remove grip from the archive, it's dead and asunder is a perfect
replacement for it.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 19 Feb 2009 21:48:07 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Thu, 19 Feb 2009 21:48:07 GMT) Full text and rfc822 format available.

Message #10 received at 515887-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 515887-close@bugs.debian.org
Cc: grip@packages.debian.org, grip@packages.qa.debian.org
Subject: Bug#515887: fixed
Date: Thu, 19 Feb 2009 21:22:27 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      grip |   3.3.1-16 | source, alpha, amd64, arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 515887@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/515887

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Frank Lichtenheld (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#515887; Package ftp.debian.org. (Sat, 21 Feb 2009 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexis Dubourg <adubourg@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 21 Feb 2009 09:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 515887@bugs.debian.org (full text, mbox):

From: Alexis Dubourg <adubourg@free.fr>
To: 515887@bugs.debian.org
Subject: Re: RM: grip -- RoM
Date: Sat, 21 Feb 2009 10:13:37 +0100
If asunder is the designated replacement for grip, would it be
possible to leave grip as a transitional dummy package dependant
on asunder, at least for a while?

-- Alex




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#515887; Package ftp.debian.org. (Fri, 27 Feb 2009 00:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 27 Feb 2009 00:45:02 GMT) Full text and rfc822 format available.

Message #20 received at 515887@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: 515887@bugs.debian.org, 515887-submitter@bugs.debian.org
Subject: asunder is not a good replacement
Date: Thu, 26 Feb 2009 18:42:40 -0600
For those looking at this bug report wondering what happened to grip,
please note that sunder is not a good replacement.  It has nowhere
near the configurability that grip had; I can't use lame --preset
extreme, for instance.




Message sent on to daniel@debian.org:
Bug#515887. (Fri, 27 Feb 2009 00:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#515887; Package ftp.debian.org. (Sat, 28 Feb 2009 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 28 Feb 2009 22:48:03 GMT) Full text and rfc822 format available.

Message #28 received at 515887@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: John Goerzen <jgoerzen@complete.org>, Daniel Baumann <daniel@debian.org>
Cc: 515887@bugs.debian.org, 515887-submitter@bugs.debian.org
Subject: Re: asunder is not a good replacement
Date: Sat, 28 Feb 2009 19:42:28 -0300
Hi there.

On Feb 26 2009, John Goerzen wrote:
> For those looking at this bug report wondering what happened to grip,
> please note that sunder is not a good replacement.

I just tried to use asunder here as well. Not pleased with it.

> It has nowhere near the configurability that grip had; I can't use
> lame --preset extreme, for instance.

Exactly. That is the reason why I am writing this. I just went on
hunting the latest grip sources from snapshot.debian.net and I am
recompiling it here with patches of mine.

It is a sad thing that grip is not in Debian anymore, because it is both
a lightweight ripper (I don't use any Desktop Environment in my
computers because of the resources that I need to save, because I have
underpowered systems here) and highly configurable.

For instance, I don't see any way of using faac to encode my CDs. I
mean, I think that the user shouldn't be contrived to use just what some
writers would like.

Patching asunder would possibly be more complicated than just adding one
or another feature to grip.

The way I see it, grip is the GUI version of a ripper meant for
experienced command-line users (the same way that easytag is a tagger
that gives the users plenty of control over the files being tagged).

I am inclined to maintain some unofficial packages of grip.

Just to be more specifig, with asunder (wearing the user hat), I'm not able to:

* use specially tuned parameters to encoders (e.g., lame, which I
  maintain upstream);
* use other encoders than the ones that are hardcoded there (or, at
  least, it isn't obvious);
* as a corollary of the point above, I can't use use locally compiled
  versions (with non-conflicting names) of the encoders that asunder
  already supports;
* it doesn't seem to be possible to change the CDDB server that asunder
  asks (or, again, it isn't obvious where to change it).


Regards, Rogério Brito.

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Message sent on to daniel@debian.org:
Bug#515887. (Sat, 28 Feb 2009 22:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#515887; Package ftp.debian.org. (Tue, 03 Mar 2009 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 03 Mar 2009 12:03:02 GMT) Full text and rfc822 format available.

Message #36 received at 515887@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: 515887@bugs.debian.org
Subject: What Grip does and asunder doesn't
Date: Tue, 03 Mar 2009 22:30:16 +1030
I disappointed to hear that Grip has been dropped from Debian without a 
proper substitute.

Asunder does not submit entries to freedb.org. What programs that are in 
Debian allow ripping/titling and submission of entries to freedb.org?

I was attempting to post a bug that Grip does not tag flac files, having 
tried Grip after Asunder failed to rip a track off a brand new cd (just 
the one track, which read fine in Grip, even though both use cdparanoia).

I noticed on sourceforge that someone had noticed the Grip author absent 
and had been unable to contact the Grip author and had started a fork 
*based on the Debian patches*, http://sourceforge.net/projects/mp3mesa/

Has any attempt been made to inform the Grip mailing list of Grip being 
dropped from Debian, or for Grip maintainer in Debian to use MP3Mesa?

Also, would posting a follow-up bug report on Grip in reportbug cause 
that message to appear as a follow-up to Bug#515887? It is not clear 
from the message I read nor from reportbug what happens. I actually 
prefer to use reportbug to follow-up on a bug rather than emailing 
bug-number@bugs.debian.org as the library dependency information is 
helpful to other bug reporters as well as the maintainer.

I have also resorted to using several packages in Debian that manipulate 
tags in MP3 and other music files, as they have different strengths.

If a package is to be dropped like this, please give some warning - I do 
use apt-listchanges and an alert as a package update would reach more 
people than any related mailing lists.

Regards,

Arthur Marsh.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Apr 2009 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:21:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.